# PSF-LoginServer - master - net.psforever.services.teamwork.SquadResponse.PromoteMember
PSF - LoginServer - master - net.psforever.services.teamwork.SquadResponse.PromoteMember
Keywords: PSF LoginServer master net.psforever.services.teamwork.SquadResponse.PromoteMember

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    services
-  object SquadResponse
  Definition Classes
    teamwork
- AssignMember
- AssociateWithSquad
- Detail
- InitList
- InitWaypoints
- Join
- Leave
- ListSquadFavorite
- Membership
- PromoteMember
- RemoveFromList
- Response
- SetListSquad
- SquadSearchResults
- UpdateList
- UpdateMembers
- WantsSquadPosition
- WaypointEvent

c

net.psforever.services.teamwork.SquadResponse

# PromoteMember

###

#### final case class PromoteMember(squad: Squad, char_id: Long, from_index: Int, to_index: Int) extends Response with Product with Serializable

Source
  SquadServiceResponse.scala

Linear Supertypes
Serializable, Product, Equals, Response, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PromoteMember
2. Serializable
3. Product
4. Equals
5. Response
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PromoteMember(squad: Squad, char_id: Long, from_index: Int, to_index: Int)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val char_id: Long
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  val from_index: Int
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  val squad: Squad
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  val to_index: Int
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Response

### Inherited from AnyRef

### Inherited from Any

### Ungrouped